v_scenechange: V_scenechange_v1_0

| v_scenechange Xilinx SDK Drivers API Documentation

- Overview
- APIs
- File List

Functions
V_scenechange_v1_0

## Functions
void | XV_scenechange_SetCallback (XV_scenechange *InstancePtr, void *CallbackFunc, void *CallbackRef)
| This function installs an asynchronous callback function: More...
void | XV_scenechange_InterruptHandler (void *InstancePtr)
| This function is the interrupt handler for the Scenechange core driver. More...
u32 | XV_scenechange_Stop (XV_scenechange *InstancePtr)
| This function stops the core instance. More...
u32 | XV_scenechange_WaitForIdle (XV_scenechange *InstancePtr)
| This function Waits for the core to reach idle state. More...

## Function Documentation

void XV_scenechange_InterruptHandler | ( | void * | InstancePtr | ) |

This function is the interrupt handler for the Scenechange core driver.

This handler clears the pending interrupt and determined if the source is frame done signal. If yes, starts the next scenechange processing and calls the registered callback function

The application is responsible for connecting this function to the interrupt system. Application beyond this driver is also responsible for providing callbacks to handle interrupts during initialization phase.

Parameters

  InstancePtr | is a pointer to the core instance that just interrupted.

Returns
  None.

Note
  None.

void XV_scenechange_SetCallback | ( | XV_scenechange * | InstancePtr,
|  | void * | CallbackFunc,
|  | void * | CallbackRef
| ) |  |

This function installs an asynchronous callback function:

Parameters

  InstancePtr | is a pointer to the SceneChange IP instance.
  CallbackFunc | is the address of the callback function.
  CallbackRef | is a user data item that will be passed to the callback function when it is invoked.

Returns
  None.

Note
  Invoking this function for a handler that already has been installed replaces it with the new handler.

u32 XV_scenechange_Stop | ( | XV_scenechange * | InstancePtr | ) |

This function stops the core instance.

Parameters

  InstancePtr | is a pointer to core instance to be worked upon

Returns
  XST_SUCCESS if the core in stop state XST_FAILURE if the core is not in stop state

u32 XV_scenechange_WaitForIdle | ( | XV_scenechange * | InstancePtr | ) |

This function Waits for the core to reach idle state.

Parameters

  InstancePtr | is a pointer to core instance to be worked upon

Returns
  XST_SUCCESS if the core is in idle state XST_FAILURE if the core is not in idle state